.bu {
  min-width: 100px;
  min-height: 60px;
  font-family: 'Nunito', sans-serif;
  font-size: 22px;
  text-transform: uppercase;
  letter-spacing: 1.3px;
  font-weight: 700;
  color: #313133;
  background: #2e7c74;
background: linear-gradient(90deg, rgb(143, 143, 101) 0%, rgb(242, 247, 0) 100%);
  border: none;
  border-radius: 10px;
  box-shadow: 12px 12px 24px rgba(79,209,197,.64);
  transition: all 0.3s ease-in-out 0s;
  cursor: pointer;
  outline: none;
  position: relative;
  padding: 10px;
  }

.bu::before {
content: '';
  border-radius: 10px;
  min-width: calc(100px + 12px);
  min-height: calc(100px + 12px);
  border: -1px solid #fdf900;
  box-shadow: 0 0 60px rgba(233, 247, 112, 0.548);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: all .3s ease-in-out 0s;
}

.bu:hover, .button:focus {
  color: #313133;
  transform: translateY(-6px);
}

.bu:hover::before, button:focus::before {
  opacity: 1;
}

.bu::after {
  content: '';
  width: 30px; height: 30px;
  border-radius: 100%;
  border: 6px solid #d4ca31;
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: ring 1.5s infinite;
}

.bu:hover::after, button:focus::after {
  animation: none;
  display: none;
}

@keyframes ring {
  0% {
    width: 30px;
    height: 30px;
    opacity: 1;
  }
  100% {
    width: 300px;
    height: 300px;
    opacity: 0;
  }
}
.form1{
  width: 10px ;   
}